package org.springblade.device.feign;

import org.springblade.device.entity.IotAlarmGroupUser;
import org.springblade.device.vo.IotAlarmGroupUserVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotAlarmGroupUserClientFallback implements IIotAlarmGroupUserClient {
            /**
         * 详情
         */
        @Override
        public IotAlarmGroupUserVO detail(IotAlarmGroupUser iotAlarmGroupUser) {
            return null;
        }

        /**
         * 查询 告警分组和用户关联表
         */
        @Override
        public List<IotAlarmGroupUserVO> list(IotAlarmGroupUser iotAlarmGroupUser) {
            return null;
        }

    

        /**
         * 新增 告警分组和用户关联表
         */
        @Override
        public boolean save( IotAlarmGroupUser iotAlarmGroupUser) {
            return false;
        }

        /**
         * 修改 告警分组和用户关联表
         */
        @Override
        public boolean update( IotAlarmGroupUser iotAlarmGroupUser) {
            return false;
        }

        /**
         * 新增或修改 告警分组和用户关联表
         */
        @Override
        public boolean submit( IotAlarmGroupUser iotAlarmGroupUser) {
            return false;
        }

    
        /**
         * 删除 告警分组和用户关联表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
